
#
# spec file for package dateutils
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           dateutils
Version:        0.1.8
Release:        0
Summary:        Nifty command line date and time utilities
License:        BSD-3-Clause
Group:          Productivity/Text/Utilities
Url:            https://github.com/hroptatyr/dateutils
Source:         %{name}-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires(pre):  info

%description
Dateutils are a bunch of tools that revolve around fiddling with dates
and times in the command line with a strong focus on use cases that
arise when dealing with large amounts of financial data. Their target
market is shell scripts that need date calculations or calendar
conversions, and as such they are highly pipe-able and modeled after
their well-known cousins (e.g. dtest vs. test, or dgrep vs. grep).

%package -n %{name}-devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description -n %{name}-devel
This package contains the header and source files needed for
compiling programs using the %{name} libraries.

%prep
%setup -q

%build
%configure --docdir=%{_docdir}/%{name}
make V=1

%install
%{?make_install} %{!?make_install:make install DESTDIR=%{buildroot}}
rm -f %{buildroot}%{_infodir}/dir

%check
make check

%clean
rm -rf %{buildroot}

# How to make that info stuff portable?
%if 0%{?install_info:1} > 0

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info*

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info*
%endif

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/[dt]*add
%{_bindir}/[dt]*conv
%{_bindir}/[dt]*diff
%{_bindir}/[dt]*grep
%{_bindir}/[dt]*seq
%{_bindir}/[dt]*test
%{_bindir}/strptime
%doc %{_infodir}/%{name}.info*
%doc %{_mandir}/man1/[dt]*add.1*
%doc %{_mandir}/man1/[dt]*conv.1*
%doc %{_mandir}/man1/[dt]*diff.1*
%doc %{_mandir}/man1/[dt]*grep.1*
%doc %{_mandir}/man1/[dt]*seq.1*
%doc %{_mandir}/man1/[dt]*test.1*
%doc %{_mandir}/man1/strptime.1*

%files -n %{name}-devel
%defattr(-,root,root,-)
%{_includedir}/dateutils/
%{_libdir}/pkgconfig/libdu[dt]*core.pc

%changelog
